name: Allen Sadler
locality: 
country: Remote
role: <a href="">Account Executive - Mid Market</a>
reports_to: kyla
picture: allensadler.jpeg
pronouns: he/him
pronunciation:
twitter:
linkedin: allensadler
gitlab: asadler99
departments:
  - Commercial Sales
specialty: "Mid Market"
expertise:
story: I'm a SaaS enthusiast with a customer-first approach and a background in sales. I'm passionate about leveraging technology to provide innovative solutions that meet and exceed customer expectations. Outside of work, I enjoy BBQ and find joy in the art of grilling delicious food. Martial arts is another hobby of mine, offering discipline, focus, and physical well-being. Most importantly, spending quality time with my family is something I cherish. They bring immense joy and fulfillment to my life.

